Results 1 to 2 of 2

Thread: zypper yast segmentation fault

  1. #1

    Unhappy zypper yast segmentation fault

    I believe I have this problem. I have the symptoms, messages, and versions.

    Bug 504251 - sqlite 3.6.14-8.1 breakes yast & zypper
    https://bugzilla.novell.com/show_bug.cgi?id=504251

    The problem was reopened, but I don't see a resolution. Is the fix with sqlite, subversion or zypper? How do I interpret this bugzilla report to get zypper and yast working again?

    Thank you.

  2. #2

    Default Re: zypper yast segmentation fault

    Yast is working. I downloaded sqlite-devel-3.4.1-14.i586.rpm and sqlite-3.4.1-14.i586.rpm from opensuse and installed them via:

    Code:
    rpm -Uhv --force sqlite-devel-3.4.1-14.i586.rpm sqlite-3.4.1-14.i586.rpm
    A combination of the error messages in the y2log log, on the console, and xwindow popup, along with viewing y2logRPM to view what was installed lead me to the "Bug 504251 - sqlite 3.6.14-8.1 breakes yast & zypper" (after a lot of googling), and it seemed to say there was a problem with sqlite, zypper or subversion. I had updated sqlite and subversion.

    I'd still be interested in SuSE and/or Bugzilla expert commenting on the status of that bug and it's resolution. Did I take the right action? Do I dare NEVER update sqlite because it'll break zypper and yast? I'll have to verify the status of subversion after all this. I need 1.6, so I might not have a final solution yet.

    Thank you.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •